<?php
/**
 * Celebrio Core
 *
 * @copyright  Copyright (c) 2011 Celebrio Software
 * @package    Celebrio
 * @subpackage Core
 */
namespace Celebrio\Core;

use \Nette\Object;

class Config extends Object {

    /**
     *
     * @var type Celebrio\Core\ConfigManagement
     */
    private static $config = null;

    public static function current() {
        if (self::$config === null) {
            self::initiateConfig();
        }
        return self::$config;
    }

    private static function initiateConfig() {
        if(extension_loaded("azure")) {
            self::$config = new ConfigManagementAzure();
        } else {
            self::$config = new ConfigManagement();
        }
    }

}
