<?php
/**
 * Albireo module
 *
 * @copyright  Copyright (c) 2010 Albireo Solutions
 * @package    Kernel
 */
namespace Celebrio\Database;

use Celebrio\Database\IDatabase;

/**
 * Managable module PostgreSQL
 *
 * @author pavel
 */
class MySQL extends DatabaseDriver implements IDatabase {

    public function createLogin ( $username, $pass, $newUser = true) {
        $init = new MySQLInit();
        $init->createLogin($username, $pass, $newUser);
    }

    public function deleteLogin ( $username ) {
        $init = new MySQLInit();
        $init->deleteLogin($username);
    }


    /* --------------- DataBase Functions (DBF) ------------------------ */

    public function dbfConcat($first, $second) {
        return "concat(" . $first . ", " . $second . ")";
    }

    public function dbfStrlen($string) {
        return "char_length(" . $string . ")";
    }


}
