<?php
/**
 * Celebrio Timer Level
 *
 * @copyright  Copyright (c) 2012 Celebio Software, s.r.o.
 * @package    Kernel
 */
namespace Celebrio\Diagnostics;

use Nette\Object;

/**
 * Celebrio Timer Level
 *
 * @author Martin Novák
 */
class TimerLevel extends Object {
	const REQUEST = 10000;
	const OVERVIEW = 20000;
	const DETAILED = 30000;
	
	private function __construct()
	{
		trigger_error('construct is not allowed.', E_USER_ERROR);
	}
	
	public function __clone()
    {
        trigger_error('Clone is not allowed.', E_USER_ERROR);
    }

    public function __wakeup()
    {
        trigger_error('Unserializing is not allowed.', E_USER_ERROR);
    }
}
