<?php
namespace Celebrio\Logging;

use Exception;

/**
 * The exception is thrown when an exception occurs during Azure log handling.
 */
class LoggingException extends Exception {}


/**
 * The exception is thrown when an exception occurs during downloading logs from Azure storage.
 */
class DownloadLogsException extends LoggingException {}

/**
 * The exception is thrown when there is a problem with container in Azure storage.
 */
class AzureContainerException extends LoggingException {}

/**
 * 
 */
class AzureAppenderException extends LoggingException {}