<?php

/**
 * World Weather Online
 *
 * @copyright  Copyright (c) 2011 Celebrio Software
 * @package    WeatherApi
 */
namespace Celebrio\WeatherApi\WorldWeatherOnline;

use Nette\Object;

class AreaInformations extends Object {
    
    private $areaName;
    private $country;
    private $latitude;
    private $longitude;
    private $population;
    private $weatherUrl;
    
    public function getAreaName() {
        return $this->areaName;
    }

    public function setAreaName($areaName) {
        $this->areaName = $areaName;
    }

    public function getCountry() {
        return $this->country;
    }

    public function setCountry($country) {
        $this->country = $country;
    }

    public function getLatitude() {
        return $this->latitude;
    }

    public function setLatitude($latitude) {
        $this->latitude = $latitude;
    }

    public function getLongitude() {
        return $this->longitude;
    }

    public function setLongitude($longitude) {
        $this->longitude = $longitude;
    }

    public function getPopulation() {
        return $this->population;
    }

    public function setPopulation($population) {
        $this->population = $population;
    }
    
    public function getWeatherUrl() {
        return $this->weatherUrl;
    }

    public function setWeatherUrl($weatherUrl) {
        $this->weatherUrl = $weatherUrl;
    }
    
    public function setAttribute($name, $value) {
        if(empty($value) || empty($name)) {
            return false;
        }
        $name = "set" . ucfirst($name);
        $this->$name($value);
    }
}