<?php

namespace Celebrio\AccessControl;

use Nette\Object;

/**
 * Albireo User entity
 *
 * @author Albireo Solutions
 */

class AclConstants extends Object {

    /**
     * default Nette role assigned to the users who are not logged in (in fact it's assigned
     * to the users who don't have any other role, see KernelAuthenticator for details
     */
    const NETTE_GUEST = "guest";

    const ROOT_USER = "celebrity";

    const ROOT_ROLE = "masteradmin";
    const MASTERADMIN_DB = "masteradmindb"; // do we still need this? TODO check

    const ADMIN_ROLE = "admin";

    const GUEST_ROLE = "celebrio-guest";

    const REGISTERED_ROLE = "registered";

}

