<?php

/**
 * Celebrio Core
 * 
 * @copyright  Copyright (c) 2011 Celebrio Software
 * @package    Celebrio
 * @subpackage Core
 */

namespace Celebrio\Core;

/**
 * Interface for config management in Celebrio
 * 
 * @author honza
 */

interface IConfigManagement {
    
    function saveConfigArray($array, $name);
    
    function loadConfigArray($name);
    
    function install($moduleName, $version);
    
    function uninstall($moduleName);
    
    function upgrade($moduleName, $version);
    
//    function isInstalled($moduleName);
}