<?php
/**
 * Albireo module
 *
 * @copyright  Copyright (c) 2010 Albireo Solutions
 * @package    Kernel
 */
namespace Celebrio\Database;

use Celebrio\Database\IDatabase;

/**
 * Managable module PostgreSQL
 *
 * @author pavel
 */
class Postgre extends DatabaseDriver implements IDatabase {
    private $database;

    public function __construct() {
        //$this->database = new DatabaseModule();
    }
    
    public function createLogin ( $username, $pass, $newUser = true) {
        $init = new PostgreInit();
        $init->createLogin($username, $pass, $newUser);
    }

    public function deleteLogin ( $username ) {
        $init = new PostgreInit();
        $init->deleteLogin($username);
    }

    /* --------------- DataBase Functions (DBF) ------------------------ */

    public function dbfConcat($first, $second) {
        return $first . " || " . $second;
    }

    public function dbfSubstr($string, $from, $for = null) {
        if ($for === null) {
            return "substring(" . $string . ", " . $from . ")";
        } else {
            return "substring(" . $string . ", " . $from . ", " . $for . ")";
        }
    }

    public function dbfStrlen($string) {
        return "char_length(" . $string . ")";
    }


}
