-- Creates table Azure-name

CREATE TABLE `azure_files`
(
  `id_azure_file` Int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `id_file` Int(10) UNSIGNED NOT NULL,
  `name_azure_file` Varchar(128) NOT NULL,
  PRIMARY KEY (`id_azure_file`)
) ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;

-- Adds constraint foreign key to files
ALTER TABLE `azure_files` ADD CONSTRAINT `files_azure_files` FOREIGN KEY (`id_file`) REFERENCES `files` (`id_file`) ON DELETE CASCADE ON UPDATE CASCADE
;