<?php
/**
 * Current conditions entity
 *
 * @copyright  Copyright (c) 2011 Celebrio Software
 * @package    WeatherApi
 */
namespace Celebrio\WeatherApi\WorldWeatherOnline;

use Celebrio\WeatherApi\WorldWeatherOnline\WeatherConditions;

class CurrentConditions extends WeatherConditions {
    
    private $observation_time;
    private $temp_C;
    private $temp_F;
    private $humidity;
    private $visibility;
    private $pressure;
    private $cloudcover;
    
    public function getObservation_time() {
        return $this->observation_time;
    }

    public function setObservation_time($observation_time) {
        $this->observation_time = $observation_time;
    }

    public function getTemp_C() {
        return $this->temp_C;
    }

    public function setTemp_C($temp_C) {
        $this->temp_C = $temp_C;
    }

    public function getTemp_F() {
        return $this->temp_F;
    }

    public function setTemp_F($temp_F) {
        $this->temp_F = $temp_F;
    }

    public function getHumidity() {
        return $this->humidity;
    }

    public function setHumidity($humidity) {
        $this->humidity = $humidity;
    }

    public function getVisibility() {
        return $this->visibility;
    }

    public function setVisibility($visibility) {
        $this->visibility = $visibility;
    }

    public function getPressure() {
        return $this->pressure;
    }

    public function setPressure($pressure) {
        $this->pressure = $pressure;
    }

    public function getCloudcover() {
        return $this->cloudcover;
    }

    public function setCloudcover($cloudcover) {
        $this->cloudcover = $cloudcover;
    }
    
}