create table `app_weather_last_use`
(
    `id_user` Int(10) UNSIGNED NOT NULL UNIQUE,
    `latitude` Varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci,
    `longitude` Varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci,
    `place` Varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci
) ENGINE = InnoDB
  DEFAULT CHARACTER SET utf8
  COLLATE utf8_general_ci
  ROW_FORMAT = Compact
;

ALTER TABLE `app_weather_last_use` ADD CONSTRAINT `PK_app_weather_last_use` PRIMARY KEY (`id_user`);
ALTER TABLE `app_weather_last_use` ADD CONSTRAINT `app_weather_last_use_users` FOREIGN KEY (id_user) REFERENCES users (id) ON DELETE CASCADE ON UPDATE CASCADE;