<?php

/**
 * World Weather Online
 *
 * @copyright  Copyright (c) 2011 Celebrio Software
 * @package    WeatherApi
 */

namespace Celebrio\WeatherApi\WorldWeatherOnline;

use \Exception;
use \InvalidArgumentException;
use \RuntimeException;

class WWOException extends \Exception {}

class LocationNotFoundException extends WWOException {}

class ServerNotRespondingException extends WWOException {}

class InvalidAPIKeyException extends WWOException {}